Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriteriaConverter Class Reference

Content locator gateway implementation using the DoctrineDatabase. More...

## Public Member Functions
| __construct (array $handlers=[])
| Construct from an optional array of Criterion handlers. More...
| addHandler (CriterionHandler $handler)
| Adds handler. More...
| convertCriteria (SelectQuery $query, Criterion $criterion, array $languageSettings)
| Generic converter of criteria into query fragments. More...

## Protected Attributes
| $handlers

## Detailed Description

Content locator gateway implementation using the DoctrineDatabase.

Definition at line 16 of file Search/Legacy/Content/Common/Gateway/CriteriaConverter.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriteriaConverter::__construct | ( | array | $handlers = `[]` | ) |

Construct from an optional array of Criterion handlers.

Parameters

  \eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler[] | $handlers |

Definition at line 30 of file Search/Legacy/Content/Common/Gateway/CriteriaConverter.php.

References eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriteriaConverter\$handlers.

## Member Function Documentation

## ◆ addHandler()

eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriteriaConverter::addHandler | ( | CriterionHandler | $handler | ) |

Adds handler.

Parameters

  \eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler | $handler |

Definition at line 40 of file Search/Legacy/Content/Common/Gateway/CriteriaConverter.php.

## ◆ convertCriteria()

eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriteriaConverter::convertCriteria | ( | SelectQuery | $query,
|  | Criterion | $criterion,
|  | array | $languageSettings
| ) |  |

Generic converter of criteria into query fragments.

Exceptions

Definition at line 56 of file Search/Legacy/Content/Common/Gateway/CriteriaConverter.php.

Referenced by eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\LogicalAnd\handle(), eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\LogicalNot\handle(), and eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\LogicalOr\handle().

## Member Data Documentation

## ◆ $handlers

eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriteriaConverter::$handlers
| protected

Definition at line 23 of file Search/Legacy/Content/Common/Gateway/CriteriaConverter.php.

Referenced by eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriteriaConverter\__construct().

The documentation for this class was generated from the following file:

- Search/Legacy/Content/Common/Gateway/CriteriaConverter.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.